# Uses of Enum Class
org.apache.datasketches.hll.TgtHllType

Packages that use TgtHllType
Package
Description
org.apache.datasketches.hll
The DataSketches™ HLL sketch family package

## Uses of TgtHllType in org.apache.datasketches.hll

Fields in org.apache.datasketches.hll declared as TgtHllType
Modifier and Type
Field
Description
`static final TgtHllType`
HllSketch.`DEFAULT_HLL_TYPE`
The default HLL-TYPE is HLL_4
Methods in org.apache.datasketches.hll that return TgtHllType
Modifier and Type
Method
Description
`static final TgtHllType`
TgtHllType.`fromOrdinal(int typeId)`
Convert the typeId to the enum type
`TgtHllType`
HllSketch.`getTgtHllType()`
`TgtHllType`
Union.`getTgtHllType()`
`static TgtHllType`
TgtHllType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TgtHllType[]`
TgtHllType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.datasketches.hll with parameters of type TgtHllType
Modifier and Type
Method
Description
`HllSketch`
HllSketch.`copyAs(TgtHllType tgtHllType)`
Return a deep copy of this sketch onto the Java heap with the specified TgtHllType.
`static final int`
HllSketch.`getMaxUpdatableSerializationBytes(int lgConfigK, TgtHllType tgtHllType)`
Returns the maximum size in bytes that this sketch can grow to given lgConfigK.
`HllSketch`
Union.`getResult(TgtHllType tgtHllType)`
Return the result of this union operator with the specified `TgtHllType`
Constructors in org.apache.datasketches.hll with parameters of type TgtHllType
Modifier
Constructor
Description
``
`HllSketch(int lgConfigK, TgtHllType tgtHllType)`
Constructs a new on-heap sketch with the type of HLL sketch to configure.
``
`HllSketch(int lgConfigK, TgtHllType tgtHllType, org.apache.datasketches.memory.WritableMemory dstMem)`
Constructs a new sketch with the type of HLL sketch to configure and the given WritableMemory as the destination for the sketch.